
QGIS Application - Feature request #1659

add a 'reload button' to the QGIS table

2009-04-28 02:28 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee:

Category: Data Provider

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 11719

Description

I think that reload table can be useful (or even layer, note however that GRASS geometry for example, is updated whenever it is changed)

for all vectors in QGIS and for more situations (data edited from other clients).

History

#1 - 2009-07-01 12:48 PM - Giovanni Manghi

+1

#2 - 2009-08-12 02:27 PM - Magnus Homann

Reload is especially useful for delimited text plugin, and GPX layers.

#3 - 2011-09-30 05:25 AM - Anita Graser

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

I guess there should be a "Reload Layer" (not just the attributes but also features and layer extent).

#4 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#5 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#6 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#7 - 2013-03-16 09:43 AM - joto -

I wonder why this is getting pushed again and again? I miss this feature every time I work with QGIS. Everybody who generates data outside QGIS and

uses that data inside QGIS must need this feature. I can't count the number of times I have removed and re-added a layer or the whole project just to get

QGIS to reload the data.

What can we do to move this forward?
#8 - 2013-03-16 09:45 AM - Giovanni Manghi

What can we do to move this forward?

support its development/implementation.

#9 - 2014-05-08 10:35 AM - Anita Graser

- Tracker changed from Bug report to Feature request

- Start date set to 2014-05-08

#10 - 2014-05-08 10:51 AM - Etienne Tourigny

+1 for this - also for raster layers

#11 - 2014-06-23 01:36 AM - Paolo Cavallini

Please note that there is an unpublished plugin for this:

http://plugins.qgis.org/plugins/Reloader/

#12 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#13 - 2015-01-08 01:09 AM - Regis Haubourg

+1 with that requirement

Paolo Cavallini wrote:

Please note that there is an unpublished plugin for this:

http://plugins.qgis.org/plugins/Reloader/

I just tested Reloader plugin. It doesn't behave as expected, adding the refreshed data source as another layer, and not refreshing current layer.. 

Régis

#14 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No

#15 - 2017-05-01 11:37 AM - Regis Haubourg

- Status changed from Open to Closed

- Resolution set to fixed/implemented

Fixed in 2.14
